org.eclipse.jdt.launching.sourcelookup.containers

## Class JavaSourcePathComputer

- java.lang.Object
- - org.eclipse.jdt.launching.sourcelookup.containers.JavaSourcePathComputer

All Implemented Interfaces:
  ISourcePathComputerDelegate

    public class JavaSourcePathComputer
    extends Object
    implements ISourcePathComputerDelegate

Computes a default source lookup path for Java applications. The source path provider associated with a launch configuration is consulted to compute a source lookup path. The source path provider is determined by the `ATTR_SOURCE_PATH_PROVIDER` launch configuration attribute, which defaults to the `StandardSourcePathProvider` when unspecified. The source path provider computes a collection of `IRuntimeClasspathEntry`'s which are translated to source containers (`ISourceContainer`).

Clients may subclass this class.

Since:
  3.0

### Field Summary

Fields
`static String` `ID` Unique identifier for the local Java source path computer (value `org.eclipse.jdt.launching.sourceLookup.javaSourcePathComputer`).

### Constructor Summary

Constructors
Constructor and Description
`JavaSourcePathComputer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ISourceContainer[]` `computeSourceContainers(ILaunchConfiguration configuration, IProgressMonitor monitor)`
`String` `getId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Unique identifier for the local Java source path computer (value `org.eclipse.jdt.launching.sourceLookup.javaSourcePathComputer`).

See Also:
  Constant Field Values

### Constructor Detail

#### JavaSourcePathComputer

    public JavaSourcePathComputer()

### Method Detail

#### getId

    public String getId()

#### computeSourceContainers

    public ISourceContainer[] computeSourceContainers(ILaunchConfiguration configuration,
                                                      IProgressMonitor monitor)
                                               throws CoreException

Specified by:
  `computeSourceContainers` in interface `ISourcePathComputerDelegate`
Throws:
  `CoreException`